<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./css/index.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap" rel="stylesheet">
    <style>
        .hidden { display: none; }
    </style>
</head>
<body>
	

    <header class="page-header">
        <a href="index.html" class="logo">
            <img src="./img/logo.png" alt="Fitness First Logo" class="logo__img" width="200" height="39">
        </a>
    </header>

	
    <div class="page-wrapper">

        <main class="page-main">
            <section class="sorting">
                <p class="sorting__element sorting__title">СОРТУВАТИ:</p>
                <button class="sorting__element sorting__btn sorting__btn--active" type="button" id="default-sort">ЗА замовчуванням</button>
                <button class="sorting__element sorting__btn" type="button" id="surname-sort">ЗА ПРІЗВИЩЕМ</button>
                <button class="sorting__element sorting__btn" type="button" id="experience-sort">ЗА ДОСВІДОМ</button>
            </section>
            <section class="trainers-cards__container"></section>
        </main>

        <aside class="sidebar" hidden>
            <form class="sidebar__filters filters">
                <fieldset class="filters__fieldset">
                    <legend class="filters__legend">НАПРЯМИ</legend>
                    <input class="filters__input" type="radio" name="direction" id="all-direction" value="all" checked>
                    <label for="all-direction" class="filters__label">ВСІ</label>
                </fieldset>
                <fieldset class="filters__fieldset">
                    <legend class="filters__legend">КАТЕГОРІЇ</legend>
                    <input class="filters__input" type="radio" name="category" id="all-category" value="all" checked>
                    <label for="all-category" class="filters__label">ВСІ</label>
                </fieldset>
                <input type="submit" value="ПОКАЗАТИ" class="filters__submit">
            </form>
        </aside>

    </div>

    <footer class="page__footer">
        <p class="copyright">&copy; Fitness First</p>
    </footer>

    <template id="modal-template">

        <div class="modal hidden">

            <div class="modal__body">
                <img src="" alt="" class="modal__img" width="280" height="360">
                <div class="modal__description">
                    <p class="modal__name"></p>
                    <p class="modal__point modal__point--category">Категорія: <span></span></p>
                    <p class="modal__point modal__point--experience">Досвід: <span></span></p>
                    <p class="modal__point modal__point--specialization">Напрям тренера: <span></span></p>
                    <p class="modal__text"></p>
                </div>

                <button class="modal__close">
                    <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" viewBox="0 0 72 72">
                        <path d="M19 15C17.977 15 16.951875 15.390875 16.171875 16.171875C14.609875 17.733875 14.609875 20.266125 16.171875 21.828125L30.34375 36 16.171875 50.171875C14.609875 51.733875 14.609875 54.266125 16.171875 55.828125C16.951875 56.608125 17.977 57 19 57C20.023 57 21.048125 56.609125 21.828125 55.828125L36 41.65625 50.171875 55.828125C51.731875 57.390125 54.267125 57.390125 55.828125 55.828125C57.391125 54.265125 57.391125 51.734875 55.828125 50.171875L41.65625 36 55.828125 21.828125C57.390125 20.266125 57.390125 17.733875 55.828125 16.171875C54.268125 14.610875 51.731875 14.609875 50.171875 16.171875L36 30.34375 21.828125 16.171875C21.048125 15.391875 20.023 15 19 15Z"></path>
                    </svg>
                </button>

            </div>

        </div>

    </template>

    <aside class="sidebar">

        <form class="sidebar__filters filters">
            <fieldset class="filters__fieldset">
                <legend class="filters__legend">НАПРЯМИ</legend>
                <input class="filters__input" type="radio" name="specialization" id="all-direction" value="ВСІ" checked>
                <label for="all-direction" class="filters__label">ВСІ</label>
                <input class="filters__input" type="radio" name="specialization" id="pool-direction" value="Басейн">
                <label for="pool-direction" class="filters__label">Басейн</label>
                <input class="filters__input" type="radio" name="specialization" id="gym-direction" value="Тренажерний зал">
                <label for="gym-direction" class="filters__label">Тренажерний зал</label>
                <input class="filters__input" type="radio" name="specialization" id="kids-club-direction" value="Дтиячий клуб">
                <label for="kids-club-direction" class="filters__label">Дитячий клуб</label>
                <input class="filters__input" type="radio" name="specialization" id="fight-club-direction" value="Бійцівський клуб">
                <label for="fight-club-direction" class="filters__label">Бійцівський клуб</label>
            </fieldset>
            <fieldset class="filters__fieldset">
                <legend class="filters__legend">КАТЕГОРІЇ</legend>
                <input class="filters__input" type="radio" name="category" id="all-category" value="ВСІ" checked>
                <label for="all-category" class="filters__label">ВСІ</label>
                <input class="filters__input" type="radio" name="category" id="master-category" value="Майстер">
                <label for="master-category" class="filters__label">Майстер</label>
                <input class="filters__input" type="radio" name="category" id="specialist-category" value="Спеціаліст">
                <label for="specialist-category" class="filters__label">Спеціаліст</label>
                <input class="filters__input" type="radio" name="category" id="instructor-category" value="Інструктор">
                <label for="instructor-category" class="filters__label">Інструктор</label>
            </fieldset>
            <input type="button" value="ПОКАЗАТИ" class="filters__submit" id="show-filters">
            
        </form>

    </aside>

    <template id="trainer-card">
        <li class="trainer">
            <img src="" alt="" class="trainer__img" width="280" height="300">
            <p class="trainer__name"></p>
            <button class="trainer__show-more" type="button">ПОКАЗАТИ</button>
        </li>
    </template>
    
    <script src="./js/index.js"></script>
</body>
</html>